com.thinkaurelius.titan.diskstorage

## Interface ReadBuffer

- All Superinterfaces:
    Comparable<StaticBuffer>, ScanBuffer, StaticBuffer
  All Known Implementing Classes:
    ReadArrayBuffer

      public interface ReadBuffer
      extends ScanBuffer, StaticBuffer

  A Buffer that allows sequential reads and static reads. Should not be used by multiple threads.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `StaticBuffer.Factory<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `ARRAY_FACTORY, BB_FACTORY, STATIC_FACTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `asRelative(StaticBuffer.Factory<T> factory)`
    `int` | `getPosition()`
    `void` | `movePositionTo(int position)`
    `ReadBuffer` | `subrange(int length, boolean invert)`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.ScanBuffer

      `getBoolean, getByte, getBytes, getChar, getChars, getDouble, getDoubles, getFloat, getFloats, getInt, getInts, getLong, getLongs, getShort, getShorts, hasRemaining`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.StaticBuffer

      `as, asByteBuffer, asReadBuffer, getBoolean, getByte, getBytes, getChar, getChars, getDouble, getDoubles, getFloat, getFloats, getInt, getInts, getLong, getLongs, getShort, getShorts, length, subrange, subrange`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getPosition

          int getPosition()

    - #### movePositionTo

          void movePositionTo(int position)

    - #### asRelative

          <T> T asRelative(StaticBuffer.Factory<T> factory)

    - #### subrange

          ReadBuffer subrange(int length,
                            boolean invert)

Copyright © 2012–2014. All rights reserved.